%global __python3 /usr/bin/python3
%global python3_sitelib %(%{__python3} -c "import sys; from distutils.sysconfig import get_python_lib; sys.stdout.write(get_python_lib())")

%global gitrepo %{url}
%global gitcommit 928528a8865f62c20bad8bd543e366de9a487e54

Name: pecryptfs
Version: 0.1.0
Release: 0.101.%(echo %{gitcommit} | cut -c-7)%{?dist}
Summary: Portable Userspace eCryptfs
Group: System Environment/Base
License: GPLv3
URL: https://github.com/pecryptfs/pecryptfs
Source: %{name}.tar.gz
BuildRoot: %{_tmppath}/%{pname}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python3-setuptools


%description
pecryptfs is a simple and somewhat incomplete Python reimplementation of the
eCryptfs filesystem encryption. Unlike eCryptfs, which is a Linux kernel
module, pecryptfs runs completely in userspace and works on individual files
via command line tools.

It is recommended to keep a backup around, as pecryptfs might not be able to
deal with more exotic features of eCryptfs correctly and do bad things.


%prep
%setup -q


%build
%{__python3} setup.py build_py


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
%{__python3} setup.py install --root=%{buildroot}


%clean
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/pecryptfs-decrypt
%{_bindir}/pecryptfs-filename
%{_bindir}/pecryptfs-genfile
%{_bindir}/pecryptfs-ls
%{_bindir}/pecryptfs-makesig
%dir %{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}/__init__.py
%{python3_sitelib}/%{name}/auth_token.py
%{python3_sitelib}/%{name}/cmd_decrypt.py
%{python3_sitelib}/%{name}/cmd_filename.py
%{python3_sitelib}/%{name}/cmd_genfile.py
%{python3_sitelib}/%{name}/cmd_ls.py
%{python3_sitelib}/%{name}/cmd_makesig.py
%{python3_sitelib}/%{name}/define.py
%{python3_sitelib}/%{name}/ecryptfs.py
%{python3_sitelib}/%{name}/filename.py
%{python3_sitelib}/%{name}/file.py
%{python3_sitelib}/%{name}/util.py
%dir %{python3_sitelib}/%{name}/__pycache__
%{python3_sitelib}/%{name}/__pycache__/auth_token.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/auth_token.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_decrypt.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_decrypt.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_filename.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_filename.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_genfile.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_genfile.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_ls.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_ls.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_makesig.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/cmd_makesig.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/define.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/define.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/ecryptfs.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/ecryptfs.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/file.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/file.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/filename.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/filename.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/__init__.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/__init__.cpython-3?.pyc
%{python3_sitelib}/%{name}/__pycache__/util.cpython-3?.opt-1.pyc
%{python3_sitelib}/%{name}/__pycache__/util.cpython-3?.pyc
%dir %{python3_sitelib}/%{name}-%{version}-py3.?.egg-info
%{python3_sitelib}/%{name}-%{version}-py3.?.egg-info/dependency_links.txt
%{python3_sitelib}/%{name}-%{version}-py3.?.egg-info/entry_points.txt
%{python3_sitelib}/%{name}-%{version}-py3.?.egg-info/PKG-INFO
%{python3_sitelib}/%{name}-%{version}-py3.?.egg-info/SOURCES.txt
%{python3_sitelib}/%{name}-%{version}-py3.?.egg-info/top_level.txt
